%global namedreltag -beta-1
%global namedversion %{version}%{?namedreltag}

Name:          metadata-extractor
Version:       2.4.0
Release:       %mkrel 9
Summary:       Extracts EXIF, IPTC and XMP metadata from image files
Group:         Development/Java
License:       ASL 2.0
Url:           https://drewnoakes.com/code/exif/
Source0:       http://www.drewnoakes.com/code/exif/releases/%{name}-%{namedversion}-src.jar
# svn export http://metadata-extractor.googlecode.com/svn/trunk/Documentation
# Documentation/metadata-extractor-logo-30px.gif
# Documentation/javadoc-stylesheet.css
# tar czf metadata-extractor-2.5.0-RC2-Documentation-src-svn.tar.gz Documentation
Source1:       metadata-extractor-2.5.0-RC2-Documentation-src-svn.tar.gz
Source2:       http://maven.cloudhopper.com/repos/third-party/drew/%{name}/%{namedversion}/%{name}-%{namedversion}.pom
Patch0:        metadata-extractor-2.4.0-beta-1-build_xml.patch
Patch1:        metadata-extractor-2.4.0-beta-1-nosun.patch
Patch2:        metadata-extractor-2.4.0-beta-1-doclint-and-allow-javascript-in-javadoc.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: junit

Requires:      jdom
Requires:      java-headless
Requires:      jpackage-utils

%description
Metadata Extractor is a straightforward Java library for reading metadata from image files.

%package       javadoc
Summary:       Javadocs for %{name}
Group:         Documentation

%description   javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -c

rm -rf META-INF

%patch0 -p0
%patch1 -p0
%patch2 -p0

tar -xf %{SOURCE1}
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;
sed -i 's/\r//' ChangeLog.txt

# Disable junit tests
sed -i 's/depends="clean, compile, test"/depends="clean, compile"/' build.xml

for i in `find -name "*.java"`
do
        native2ascii -encoding UTF8 $i $i
done

%build
%ant dist-binaries javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 Releases/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr Javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%{_javadir}/%{name}-%{version}.jar
%doc ChangeLog.txt

%files javadoc
%{_javadocdir}/%{name}/


%changelog
* Fri Feb 03 2017 daviddavid <daviddavid> 2.4.0-9.mga6
+ Revision: 1084678
- fix FTBFS

* Fri Mar 11 2016 daviddavid <daviddavid> 2.4.0-8.mga6
+ Revision: 989292
- add patch2 to fix javadoc build on JDK 8 (disabling the super-strict doclint checks)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Jan 17 2015 daviddavid <daviddavid> 2.4.0-7.mga5
+ Revision: 811179
- use .mfiles generated during build
- update BuildRequires and Requires
- fix Group
- remove no longer needed %%post and %%postun for maven_depmap

* Wed Oct 15 2014 umeabot <umeabot> 2.4.0-6.mga5
+ Revision: 741889
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4.0-5.mga5
+ Revision: 727236
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4.0-4.mga5
+ Revision: 682367
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.4.0-3.mga4
+ Revision: 521159
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 dmorgan <dmorgan> 2.4.0-2.mga3
+ Revision: 388865
- Fix files encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 11 2011 gil <gil> 2.4.0-1.mga2
+ Revision: 166438
- imported package metadata-extractor

